pro over_lineplot
tvlct, r, g, b, /get
;
; Swap black background, white foreground
; 
; Get background color (element 0)
background = r[0]
foreground = r[255]

; Swap
r[255] = background & g[255] = background & b[255] = background
r[0] = foreground & g[0] = foreground & b[0] = foreground

tvlct, r, g, b
end

;+
; NAME:
;     GO_QUICK
; PURPOSE:
;     create quick looks at Yohkoh data, software, database diagnostics
;       to be shown on the $ftp/pub/sxt_co/quick/quick.html display
; CATEGORY:
; CALLING SEQUENCE:
;     main program
; INPUTS:
; OPTIONAL (KEYWORD) INPUT PARAMETERS:
; OUTPUTS:
; COMMON BLOCKS:
; SIDE EFFECTS:
; ROUTINES
;     runs the "quick" series of programs on this directory (/0p/sxt_co/idl)
; RESTRICTIONS:
; MODIFICATION HISTORY:
;     August 1998, written (HSH)
;     23-Aug-98, added LASTSFD (HSH)
;     08-Oct-98, added default ftp location, recast in terms of environmentals. 
;     24-Nov-98, added LASTSFD_DIFF (HSH)
;     06-Jan-99, added FAKE_PATROL, SHOW_CONTACTS.  Commented out QUICKLIMB.
;		 (DMcK)
;     11-Jan-99, added SET_PLOT,'Z' after LATEST_SFDS_GIF, to counter the 
;		 explicit set_plot,'x' within that program. (DMcK)
;      9-Jul-99, revised the terminator display to account for
;                the new normal pointing installed 2-Jul-99.
;                Added SXT_COVERAGE_MAP. (HSH)
;      9-Jul-99, OVER_LINEPLOT (BH)
;     18-Jul-99, LASTKSC added (HSH) 
;     11-Oct-99, added spawn to 'convert' .gif for isass0/1 login banners (PGS)
;     17-Oct-99, added quick_dpe, note: reverses color table.  (PGS)
;     12-nov-99, added '/quick' to fake_patrol call. (PGS)
;     18-Apr-00, added plottrav call. (BNH)
;     22-Aug-00, made spawn to 'convert" work through environmental (HSH)
;     09-Jul-01, edited path to 'convert'  (DMcK)
;-
get_lun,lun
openw,lun,'$DIR_SITE_FTP/pub/sxt_co/quick/lastksc.html'
lastksc,names
printf,lun,'<html>'
for i = 0,6 do printf,lun,'<p>'+names(i)
printf,lun,'</html>'
close,lun
;
set_plot,'z'
loadct,0
over
tvlct,r,g,b,/get
term_fids
plottime
img7 = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/fids.gif',img7,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/fids_thumb.gif',$
  rebin(img7,((size(img7))(1))/4,((size(img7))(2))/4),r,g,b
;  rebin(img7,160,120),r,g,b
;  rebin(img7,128,128),r,g,b
;
quickatt
img1 = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/att.gif',img1,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/att_thumb.gif',rebin(img1,128,128),r,g,b
quickdark
img2 = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/dark.gif',img2,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/dark_thumb.gif',rebin(img2,128,128),r,g,b
quickstray
img3 = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/stray.gif',img3,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/stray_thumb.gif',rebin(img3,128,128),r,g,b
;quicklimb
;img4 = tvrd()
;write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/limb.gif',img4,r,g,b
;write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/limb_thumb.gif',rebin(img4,128,128),r,g,b
weekly_goes
img5 = tvrd()
tvlct,r,g,b,/get
write_gif,'$DIR_SITE_FTP/pub/sxt_co/weeklygoes.gif',img5,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/weeklygoes_thumb.gif',rebin(img5,128,128),r,g,b
goes_tek
img6 = tvrd()
tvlct,r,g,b,/get
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/goes_tek.gif',img6,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/goes_tek_thumb.gif',$
  rebin(img6,128,128),r,g,b
;
;     new terminator program, installed 8-Jul-99 (HSH) 
;
set_plot,'z'
wdef
linecolors
over_lineplot
term_quick
out_img = tvrd()
tvlct,r,g,b,/get
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/term_quick.gif',out_img,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/term_quick_thumb.gif',$
  rebin(out_img,128,128),r,g,b
term_quick,/radius
out_img = tvrd()
tvlct,r,g,b,/get
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/term_quick_rad.gif',out_img,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/term_quick_rad_thumb.gif',$
  rebin(out_img,128,128),r,g,b
;
latest_sfds_gif
;spawn, '/usr/local/bin/convert $DIR_SITE_FTP/pub/sxt_co/quick/latest_sfd_18.gif -colors 180 $DIR_SITE_FTP/pub/sxt_co/quick/latest_sfd_18.xpm'
spawn, '/usr/X11R6/bin/convert $DIR_SITE_FTP/pub/sxt_co/quick/latest_sfd_18.gif -colors 180 $DIR_SITE_FTP/pub/sxt_co/quick/latest_sfd_18.xpm'
set_plot,'z'		; Added 11-jan-99
loadct,0
wdef,0,512,512
lastsfd_diff
plottime
img8 = tvrd()
tvlct,r,g,b,/get
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/diff.gif',img8,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/diff_thumb.gif',$
  rebin(img8,((size(img8))(1))/4,((size(img8))(2))/4),r,g,b
;  rebin(img8,128,128),r,g,b
erase ;pgs 991112
loadct,0
tvlct,r,g,b,/get
fake_patrol, /quick
plottime
pat_img=tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/fake_patrol_image.gif',pat_img,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/fake_patrol_image_thumb.gif',$
  rebin(pat_img,128,128),r,g,b

show_contacts,/zbuffer,outgif='$DIR_SITE_FTP/pub/sxt_co/quick/contacts.gif'
read_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/contacts.gif',contacts,r,g,b
wdef,0,1200,300
tv,contacts     ; I know, it's clumsy. But it allows easy use of PLOTTIME.
plottime
contacts=tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/contacts.gif',contacts,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/contacts_thumb.gif',$
   rebin(contacts,400,100),r,g,b
;
;  PFI coverage
;
set_plot,'z'
wdef,0,256
loadct,15
over
tvlct,r,g,b,/get
sxt_exposure_map
out_img = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/coverage.gif',out_img,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/coverage_thumb.gif',$
   rebin(out_img,128,128),r,g,b

;
;quick_dpe
;
set_plot,'z'
wdef, 0, 512, 512
loadct, 0
over
tvlct,r,g,b,/get
quick_dpe
out_img = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/quick_dpe.gif',out_img,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/quick_dpe_thumb.gif',$
   rebin(out_img,((size(out_img))(1))/4,((size(out_img))(2))/4),r,g,b
;
;
; plot_trav
;
loadct, 0
tvlct, r, g, b, /get
quick_plottrav
imgpi = tvrd()
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/plottrav.gif',imgpi,r,g,b
write_gif,'$DIR_SITE_FTP/pub/sxt_co/quick/plottrav_thumb.gif',rebin(imgpi,128,128),r,g,b
end


